summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author kchan2020-01-05 06:43:28 +0100
committer Willy Sudiarto Raharjo2020-01-12 02:47:59 +0100
commit7a1da46683546f5c490cf6f2529105114253467f (patch)
tree01c6592542e7cd22897aa5e55c30571ed9dcfa39 /system
parent6f1297f9de6701e9b8d25211fa8d1f24847ce51b (diff)
downloadslackbuilds-7a1da46683546f5c490cf6f2529105114253467f.tar.gz
system/pwman: Added (an NCurses password management program)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/pwman/README19
-rw-r--r--system/pwman/pwman.SlackBuild113
-rw-r--r--system/pwman/pwman.info10
-rw-r--r--system/pwman/slack-desc19
4 files changed, 161 insertions, 0 deletions
diff --git a/system/pwman/README b/system/pwman/README
new file mode 100644
index 0000000000..7f4ec3cf94
--- /dev/null
+++ b/system/pwman/README
@@ -0,0 +1,19 @@
+PWman (An NCurses password management program)
+
+PWMan is a password manager which uses gpg encryption to safeguard your data.
+It provides a simple and easy to use command line (NCurses) interface to
+manage, store, search and retrieve your passwords.
+
+The look and feel is based on Jaakko Heinonen's abook.
+
+BEFORE USING PWMAN
+
+While compilation does not directly require it, usage relies on Gnu Privacy
+Guard (gpg) being installed. You will need to specify a GnuPG ID the
+first time a user runs pwman, so this must be set up beforehand.
+
+There is more information on the gpg manpage, but you can probably just run
+
+ % gpg --gen-key
+
+and follow the on-screen instructions.
diff --git a/system/pwman/pwman.SlackBuild b/system/pwman/pwman.SlackBuild
new file mode 100644
index 0000000000..a057496866
--- /dev/null
+++ b/system/pwman/pwman.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=pwman
+VERSION=${VERSION:-0.4.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+# In case they ever add this stuff:
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/pwman/pwman.info b/system/pwman/pwman.info
new file mode 100644
index 0000000000..215d57511c
--- /dev/null
+++ b/system/pwman/pwman.info
@@ -0,0 +1,10 @@
+PRGNAM="pwman"
+VERSION="0.4.5"
+HOMEPAGE="https://sourceforge.net/projects/pwman/"
+DOWNLOAD="https://liquidtelecom.dl.sourceforge.net/project/pwman/pwman/pwman-0.4.5/pwman-0.4.5.tar.gz"
+MD5SUM="091a97b23bea2f5e02f28f66814df55b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="kchan"
+EMAIL="kenneth.t.chan@gmail.com"
diff --git a/system/pwman/slack-desc b/system/pwman/slack-desc
new file mode 100644
index 0000000000..8eaec8ba06
--- /dev/null
+++ b/system/pwman/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pwman: pwman (An NCurses password management program)
+pwman:
+pwman: PWman is a text-based application based on the ui design of abook
+pwman: (http://abook.sourceforge.net). PWman works on Linux, and should also
+pwman: run on most other UNIXes(untested).
+pwman:
+pwman:
+pwman:
+pwman:
+pwman:
+pwman: